%define		_state		stable
%define		orgname		kig

Summary:	K Desktop Environment - Interactive Geometry
Summary(pl.UTF-8):	K Desktop Environment - Interaktywna geometria
Name:		kde4-kig
Version:	4.14.3
Release:	11
License:	GPL v2+
Group:		X11/Applications/Science
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	2bc36c90f19b9fbebd7b3c7ac563acb3
URL:		http://www.kde.org/
BuildRequires:	automoc4
BuildRequires:	boost-python-devel
BuildRequires:	kde4-kdelibs-devel >= 4
BuildRequires:	python-devel >= 2
BuildRequires:	qt4-build >= 4
BuildRequires:	sed >= 4.0
Obsoletes:	kde4-kdeedu-kig < 4.6.99
Obsoletes:	kig <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kig is an application for Interactive Geometry. It's intended to serve
two purposes:
- allow students to interactively explore mathematical figures and
  concepts using the computer.
- serve as a WYSIWYG tool for drawing mathematical figures and
  including them in other documents.

%description -l pl.UTF-8
Kig to aplikacja do interaktywnej geometrii. Ma służyć dwóm celom:
- umożliwić uczniom interaktywnie przeglądanie figur i pojęć
  matematycznych przy użyciu komputera
- służyć jako narzędzie WYSIWYG do rysowania figur matematycznych i
  włączania ich do innych dokumentów.

%prep
%setup -q -n %{orgname}-%{version}

%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' pykig/pykig.py

%build
install -d build
cd build
%cmake .. \
	-DBoostPython_INCLUDE_DIRS=%{py_incdir} \
	-DBoostPython_LIBRARIES="boost_python%(echo %{py_ver} | tr -d .);python%{py_ver}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kig
%attr(755,root,root) %{_bindir}/pykig.py
%attr(755,root,root) %{_libdir}/kde4/kigpart.so
%{_datadir}/appdata/kig.appdata.xml
%{_datadir}/apps/kig
%{_datadir}/kde4/services/kig_part.desktop
%{_desktopdir}/kde4/kig.desktop
%{_iconsdir}/hicolor/*x*/apps/kig.png
%{_iconsdir}/hicolor/scalable/apps/kig.svgz
%{_iconsdir}/hicolor/*x*/mimetypes/application-x-kig.png
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-kig.svgz
%{_mandir}/man1/kig.1*

# subpackage?
%{_datadir}/apps/katepart/syntax/python-kig.xml
%changelog
* Sat Aug 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kig.git;a=log;h=master

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> c9b5ee4
- Release 11 (by relup.sh)

* Sat Aug 01 2020 Jan Rękorajski <baggins@pld-linux.org> e6468d8
- release 10 (by relup.sh)

* Thu Oct 10 2019 Jan Rękorajski <baggins@pld-linux.org> d8b92ff
- rebuild with boost 1.71 and icu 65.1
- release 9 (by relup.sh)

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> 45ceb2e
- rebuild for g++ ABI changes
- release 8 (by relup.sh)

* Fri Apr 26 2019 Jakub Bogusz <qboosh@pld-linux.org> dfeaa53
- help cmake to find python-versioned boost-python library; release 7

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 8043578
- rebuild with boost 1.63.0
- release 6 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> e221396
- boost rebuild
- release 5 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 1340c4e
- release 4 (by relup.sh)

* Sun Jun 07 2015 Jan Rękorajski <baggins@pld-linux.org> 5f2f138
- release 3 (by relup.sh)

* Thu Feb 19 2015 Jan Rękorajski <baggins@pld-linux.org> fb87aba
- rebuild with boost 1.57.0
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 530629f
- updated to 4.14.3 (by update-kde4.sh)

* Tue Oct 28 2014 Jan Rękorajski <baggins@pld-linux.org> f03df1e
- release 2 (by relup.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 178b2df
- updated to 4.14.0
- packages appdata file

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3e25c40
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d2c91d9
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> dbb05df
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a11521f
- updated to 4.12.4 (by update-kde4.sh)

* Sat Mar 15 2014 Jan Rękorajski <baggins@pld-linux.org> f7c9021
- 4.12.3

* Sat Feb 08 2014 Jan Rękorajski <baggins@pld-linux.org> 08526e1
- 4.12.2

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 02c0b9f
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

